Index: code/trunk/src/libraries/core/BaseObject.h
===================================================================
--- code/trunk/src/libraries/core/BaseObject.h	(revision 5772)
+++ code/trunk/src/libraries/core/BaseObject.h	(revision 5774)
@@ -37,177 +37,26 @@
 #define _BaseObject_H__
 
-#define SetMainState(classname, statename, setfunction, getfunction) \
-    if (this->getMainStateName() == statename) \
-    { \
-        this->functorSetMainState_ = createFunctor(&classname::setfunction)->setObject(this); \
-        this->functorGetMainState_ = createFunctor(&classname::getfunction)->setObject(this); \
-    }
-
-
 #include "CorePrereqs.h"
-
-#include <map>
-#include <list>
-
-#include "util/mbool.h"
 #include "OrxonoxClass.h"
-#include "Super.h"
 
 namespace orxonox
 {
-    class Scene;
-    class Gametype;
-
     //! The BaseObject is the parent of all classes representing an instance in the game.
     class _CoreExport BaseObject : virtual public OrxonoxClass
     {
-        template <class T> friend class XMLPortClassParamContainer;
-
         public:
             BaseObject(BaseObject* creator);
             virtual ~BaseObject();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
             /** @brief Returns if the object was initialized (passed the object registration). @return True was the object is initialized */
             inline bool isInitialized() const { return this->bInitialized_; }
 
-            /** @brief Sets the name of the object. @param name The name */
-            inline void setName(const std::string& name) { this->oldName_ = this->name_; this->name_ = name; this->changedName(); }
-            /** @brief Returns the name of the object. */
-            inline const std::string& getName() const { return this->name_; }
-            /** @brief Returns the old name of the object. */
-            inline const std::string& getOldName() const { return this->oldName_; }
-            /** @brief This function gets called if the name of the object changes. */
-            virtual void changedName() {}
-
-            /** @brief Sets the state of the objects activity. @param bActive True = active */
-            inline void setActive(bool bActive)
-            {
-                if (this->bActive_ != bActive)
-                {
-                    this->bActive_ = bActive;
-                    this->changedActivity();
-                }
-            }
-            /** @brief Returns the state of the objects activity. @return The state of the activity */
-            inline const mbool& isActive() const { return this->bActive_; }
-            /** @brief This function gets called if the activity of the object changes. */
-            virtual void changedActivity() {}
-
-            /** @brief Sets the state of the objects visibility. @param bVisible True = visible */
-            inline void setVisible(bool bVisible)
-            {
-                if (this->bVisible_ != bVisible)
-                {
-                    this->bVisible_ = bVisible;
-                    this->changedVisibility();
-                }
-            }
-            /** @brief Returns the state of the objects visibility. @return The state of the visibility */
-            inline const mbool& isVisible() const { return this->bVisible_; }
-            /** @brief This function gets called if the visibility of the object changes. */
-            virtual void changedVisibility() {}
-
-            void setMainState(bool state);
-            bool getMainState() const;
-
-            void setMainStateName(const std::string& name);
-            inline const std::string& getMainStateName() const { return this->mainStateName_; }
-            virtual void changedMainState();
-
-            /** @brief Sets a pointer to the xml file that loaded this object. @param file The pointer to the XMLFile */
-            inline void setFile(const XMLFile* file) { this->file_ = file; }
-            /** @brief Returns a pointer to the XMLFile that loaded this object. @return The XMLFile */
-            inline const XMLFile* getFile() const { return this->file_; }
-            const std::string& getFilename() const;
-
-            void addTemplate(const std::string& name);
-            void addTemplate(Template* temp);
-            /** @brief Returns the set of all aplied templates. */
-            inline const std::set<Template*>& getTemplates() const
-                { return this->templates_; }
-
-            virtual inline void setNamespace(Namespace* ns) { this->namespace_ = ns; }
-            inline Namespace* getNamespace() const { return this->namespace_; }
-
             inline void setCreator(BaseObject* creator) { this->creator_ = creator; }
             inline BaseObject* getCreator() const { return this->creator_; }
 
-            inline void setScene(Scene* scene) { this->scene_ = scene; }
-            inline Scene* getScene() const { return this->scene_; }
-
-            inline void setGametype(Gametype* gametype)
-            {
-                if (gametype != this->gametype_)
-                {
-                    this->oldGametype_ = this->gametype_;
-                    this->gametype_ = gametype;
-                    this->changedGametype();
-                }
-            }
-            inline Gametype* getGametype() const { return this->gametype_; }
-            inline Gametype* getOldGametype() const { return this->oldGametype_; }
-            virtual void changedGametype() {}
-
-            void fireEvent();
-            void fireEvent(bool activate);
-            void fireEvent(bool activate, BaseObject* originator);
-            void fireEvent(Event& event);
-
-            virtual void processEvent(Event& event);
-
-            inline void registerEventListener(BaseObject* object, const std::string& sectionname)
-                { this->eventListeners_[object] = sectionname; }
-            inline void unregisterEventListener(BaseObject* object)
-                { this->eventListeners_.erase(object); }
-
-            void addEvent(BaseObject* event, const std::string& sectionname);
-            void removeEvent(BaseObject* event);
-            BaseObject* getEvent(unsigned int index) const;
-
-            void addEventContainer(const std::string& sectionname, EventContainer* container);
-            EventContainer* getEventContainer(const std::string& sectionname) const;
-
-            /** @brief Sets the indentation of the debug output in the Loader. @param indentation The indentation */
-            inline void setLoaderIndentation(const std::string& indentation) { this->loaderIndentation_ = indentation; }
-            /** @brief Returns the indentation of the debug output in the Loader. @return The indentation */
-            inline const std::string& getLoaderIndentation() const { return this->loaderIndentation_; }
-
-        protected:
-            std::string name_;                                 //!< The name of the object
-            std::string oldName_;                              //!< The old name of the object
-            mbool       bActive_;                              //!< True = the object is active
-            mbool       bVisible_;                             //!< True = the object is visible
-            std::string mainStateName_;
-            Functor*    functorSetMainState_;
-            Functor*    functorGetMainState_;
-
         private:
-            void setXMLName(const std::string& name);
-            Template* getTemplate(unsigned int index) const;
-
             bool                   bInitialized_;              //!< True if the object was initialized (passed the object registration)
-            const XMLFile*         file_;                      //!< The XMLFile that loaded this object
-            Element*               lastLoadedXMLElement_;      //!< Non 0 if the TinyXML attributes have already been copied to our own lowercase map
-            std::map<std::string, std::string> xmlAttributes_; //!< Lowercase XML attributes
-            std::string            loaderIndentation_;         //!< Indentation of the debug output in the Loader
-            Namespace*             namespace_;
             BaseObject*            creator_;
-            Scene*                 scene_;
-            Gametype*              gametype_;
-            Gametype*              oldGametype_;
-            std::set<Template*>    templates_;
-            std::map<BaseObject*,  std::string> eventListeners_;
-            std::list<BaseObject*> events_;
-            std::map<std::string, EventContainer*> eventContainers_;
     };
-
-    SUPER_FUNCTION(0, BaseObject, XMLPort, false);
-    SUPER_FUNCTION(2, BaseObject, changedActivity, false);
-    SUPER_FUNCTION(3, BaseObject, changedVisibility, false);
-    SUPER_FUNCTION(4, BaseObject, processEvent, false);
-    SUPER_FUNCTION(6, BaseObject, changedMainState, false);
-    SUPER_FUNCTION(9, BaseObject, changedName, false);
-    SUPER_FUNCTION(10, BaseObject, changedGametype, false);
 }
 
Index: code/trunk/src/libraries/core/CMakeLists.txt
===================================================================
--- code/trunk/src/libraries/core/CMakeLists.txt	(revision 5772)
+++ code/trunk/src/libraries/core/CMakeLists.txt	(revision 5774)
@@ -25,25 +25,13 @@
   DynLib.cc
   DynLibManager.cc
-  Event.cc
   Game.cc
-  GameMode.cc
   GameState.cc
-  GraphicsManager.cc
-  GUIManager.cc
   Language.cc
   LuaState.cc
-  MemoryArchive.cc
   ObjectListBase.cc
   OrxonoxClass.cc
-  Resource.cc
-  WindowEventListener.cc
 
   # command
-  ArgumentCompletionFunctions.cc
-  CommandEvaluation.cc
-  CommandExecutor.cc
   CommandLine.cc
-  ConsoleCommand.cc
-  ConsoleCommandCompilation.cc
   Executor.cc
 
@@ -55,29 +43,13 @@
   # level
   BaseObject.cc
-  ClassTreeMask.cc
-  Loader.cc
-  Namespace.cc
-  NamespaceNode.cc
-  Template.cc
-  XMLPort.cc
-  XMLNameListener.cc
 
-  # shell
-  IRC.cc
-  Shell.cc
-  TclBind.cc
-  TclThreadManager.cc
-  
   # multithreading
   Thread.cc
   ThreadPool.cc
 )
-ADD_SUBDIRECTORY(input)
 
 ORXONOX_ADD_LIBRARY(core
   FIND_HEADER_FILES
   TOLUA_FILES
-    CommandExecutor.h
-    Loader.h
     LuaState.h
   DEFINE_SYMBOL
@@ -91,11 +63,5 @@
     ${Boost_THREAD_LIBRARY}
     ${Boost_DATE_TIME_LIBRARY} # Thread dependency
-    ${CEGUI_LIBRARY}
-    ${CEGUILUA_LIBRARY}
     ${LUA_LIBRARIES}
-    cpptcl_orxonox
-    ogreceguirenderer_orxonox
-    ois_orxonox
-    tinyxml++_orxonox
     tolua++_orxonox
     util
Index: code/trunk/src/libraries/core/ClassFactory.h
===================================================================
--- code/trunk/src/libraries/core/ClassFactory.h	(revision 5772)
+++ code/trunk/src/libraries/core/ClassFactory.h	(revision 5774)
@@ -55,5 +55,5 @@
     {
         public:
-            static bool create(const std::string& name, bool bLoadable = true);
+            static bool create(const std::string& name);
             BaseObject* fabricate(BaseObject* creator);
 
@@ -73,9 +73,8 @@
     */
     template <class T>
-    bool ClassFactory<T>::create(const std::string& name, bool bLoadable)
+    bool ClassFactory<T>::create(const std::string& name)
     {
         COUT(4) << "*** ClassFactory: Create entry for " << name << " in Factory." << std::endl;
         ClassIdentifier<T>::getIdentifier(name)->addFactory(new ClassFactory<T>);
-        ClassIdentifier<T>::getIdentifier()->setLoadable(bLoadable);
         Factory::add(name, ClassIdentifier<T>::getIdentifier());
 
Index: code/trunk/src/libraries/core/Clock.h
===================================================================
--- code/trunk/src/libraries/core/Clock.h	(revision 5772)
+++ code/trunk/src/libraries/core/Clock.h	(revision 5774)
@@ -31,5 +31,6 @@
 
 #include "CorePrereqs.h"
-#include "util/OgreForwardRefs.h"
+
+namespace Ogre { class Timer; }
 
 namespace orxonox
Index: code/trunk/src/libraries/core/ConfigFileManager.cc
===================================================================
--- code/trunk/src/libraries/core/ConfigFileManager.cc	(revision 5772)
+++ code/trunk/src/libraries/core/ConfigFileManager.cc	(revision 5774)
@@ -34,5 +34,4 @@
 #include "util/Math.h"
 #include "util/StringUtils.h"
-#include "ConsoleCommand.h"
 #include "ConfigValueContainer.h"
 #include "Core.h"
@@ -40,10 +39,4 @@
 namespace orxonox
 {
-    SetConsoleCommandShortcutExtern(config).argumentCompleter(0, autocompletion::configvalueclasses()).argumentCompleter(1, autocompletion::configvalues()).argumentCompleter(2, autocompletion::configvalue());
-    SetConsoleCommandShortcutExtern(tconfig).argumentCompleter(0, autocompletion::configvalueclasses()).argumentCompleter(1, autocompletion::configvalues()).argumentCompleter(2, autocompletion::configvalue());
-    SetConsoleCommandShortcutExtern(reloadConfig);
-    SetConsoleCommandShortcutExtern(cleanConfig);
-    SetConsoleCommandShortcutExtern(loadSettings).argumentCompleter(0, autocompletion::files());
-
     bool config(const std::string& classname, const std::string& varname, const std::string& value)
     {
Index: code/trunk/src/libraries/core/Core.cc
===================================================================
--- code/trunk/src/libraries/core/Core.cc	(revision 5772)
+++ code/trunk/src/libraries/core/Core.cc	(revision 5774)
@@ -63,5 +63,4 @@
 #include "util/SignalHandler.h"
 #include "Clock.h"
-#include "CommandExecutor.h"
 #include "CommandLine.h"
 #include "ConfigFileManager.h"
@@ -70,14 +69,7 @@
 #include "DynLibManager.h"
 #include "Factory.h"
-#include "GameMode.h"
-#include "GraphicsManager.h"
-#include "GUIManager.h"
 #include "Identifier.h"
 #include "Language.h"
 #include "LuaState.h"
-#include "Shell.h"
-#include "TclBind.h"
-#include "TclThreadManager.h"
-#include "input/InputManager.h"
 
 // Boost 1.36 has some issues with deprecated functions that have been omitted
@@ -117,12 +109,4 @@
             RegisterRootObject(CoreConfiguration);
             this->setConfigValues();
-
-            // External data directory only exists for dev runs
-            if (Core::isDevelopmentRun())
-            {
-                // Possible data path override by the command line
-                if (!CommandLine::getArgument("externalDataPath")->hasDefaultValue())
-                    tsetExternalDataPath(CommandLine::getValue("externalDataPath"));
-            }
         }
 
@@ -194,15 +178,4 @@
         }
 
-        /**
-        @brief
-            Temporary sets the external data path
-        @param path
-            The new data path
-        */
-        void tsetExternalDataPath(const std::string& path)
-        {
-            externalDataPath_ = boost::filesystem::path(path);
-        }
-
         void initializeRandomNumberGenerator()
         {
@@ -228,5 +201,4 @@
         boost::filesystem::path modulePath_;            //!< Path to the modules
         boost::filesystem::path dataPath_;              //!< Path to the data file folder
-        boost::filesystem::path externalDataPath_;      //!< Path to the external data file folder
         boost::filesystem::path configPath_;            //!< Path to the config file folder
         boost::filesystem::path logPath_;               //!< Path to the log file folder
@@ -237,9 +209,6 @@
         // Cleanup guard for identifier destruction (incl. XMLPort, configValues, consoleCommands)
         : identifierDestroyer_(Identifier::destroyAllIdentifiers)
-        // Cleanup guard for external console commands that don't belong to an Identifier
-        , consoleCommandDestroyer_(CommandExecutor::destroyExternalCommands)
         , configuration_(new CoreConfiguration()) // Don't yet create config values!
         , bDevRun_(false)
-        , bGraphicsLoaded_(false)
     {
         // Set the hard coded fixed paths
@@ -339,14 +308,4 @@
         // possibility to configure everything below here
         this->configuration_->initialise();
-
-        // Load OGRE excluding the renderer and the render window
-        this->graphicsManager_.reset(new GraphicsManager(false));
-
-        // initialise Tcl
-        this->tclBind_.reset(new TclBind(Core::getDataPathString()));
-        this->tclThreadManager_.reset(new TclThreadManager(tclBind_->getTclInterpreter()));
-
-        // create a shell
-        this->shell_.reset(new Shell());
     }
 
@@ -357,44 +316,4 @@
     Core::~Core()
     {
-    }
-
-    void Core::loadGraphics()
-    {
-        // Any exception should trigger this, even in upgradeToGraphics (see its remarks)
-        Loki::ScopeGuard unloader = Loki::MakeObjGuard(*this, &Core::unloadGraphics);
-
-        // Upgrade OGRE to receive a render window
-        graphicsManager_->upgradeToGraphics();
-
-        // Calls the InputManager which sets up the input devices.
-        inputManager_.reset(new InputManager());
-
-        // load the CEGUI interface
-        guiManager_.reset(new GUIManager(graphicsManager_->getRenderWindow(),
-            inputManager_->getMousePosition(), graphicsManager_->isFullScreen()));
-
-        unloader.Dismiss();
-
-        bGraphicsLoaded_ = true;
-    }
-
-    void Core::unloadGraphics()
-    {
-        this->guiManager_.reset();;
-        this->inputManager_.reset();;
-        this->graphicsManager_.reset();
-
-        // Load Ogre::Root again, but without the render system
-        try
-            { this->graphicsManager_.reset(new GraphicsManager(false)); }
-        catch (...)
-        {
-            COUT(0) << "An exception occurred during 'unloadGraphics':" << Exception::handleMessage() << std::endl
-                    << "Another exception might be being handled which may lead to undefined behaviour!" << std::endl
-                    << "Terminating the program." << std::endl;
-            abort();
-        }
-
-        bGraphicsLoaded_ = false;
     }
 
@@ -457,9 +376,4 @@
     }
 
-    /*static*/ void Core::tsetExternalDataPath(const std::string& path)
-    {
-        getInstance().configuration_->tsetExternalDataPath(path);
-    }
-
     /*static*/ const boost::filesystem::path& Core::getDataPath()
     {
@@ -469,13 +383,4 @@
     {
         return getInstance().configuration_->dataPath_.string() + '/';
-    }
-
-    /*static*/ const boost::filesystem::path& Core::getExternalDataPath()
-    {
-        return getInstance().configuration_->externalDataPath_;
-    }
-    /*static*/ std::string Core::getExternalDataPathString()
-    {
-        return getInstance().configuration_->externalDataPath_.string() + '/';
     }
 
@@ -659,5 +564,4 @@
         {
             configuration_->dataPath_  = specialConfig::dataDevDirectory;
-            configuration_->externalDataPath_ = specialConfig::externalDataDevDirectory;
             configuration_->configPath_ = specialConfig::configDevDirectory;
             configuration_->logPath_    = specialConfig::logDevDirectory;
@@ -725,22 +629,8 @@
     void Core::preUpdate(const Clock& time)
     {
-        if (this->bGraphicsLoaded_)
-        {
-            // process input events
-            this->inputManager_->update(time);
-            // process gui events
-            this->guiManager_->update(time);
-        }
-        // process thread commands
-        this->tclThreadManager_->update(time);
     }
 
     void Core::postUpdate(const Clock& time)
     {
-        if (this->bGraphicsLoaded_)
-        {
-            // Render (doesn't throw)
-            this->graphicsManager_->update(time);
-        }
     }
 }
Index: code/trunk/src/libraries/core/Core.h
===================================================================
--- code/trunk/src/libraries/core/Core.h	(revision 5772)
+++ code/trunk/src/libraries/core/Core.h	(revision 5774)
@@ -85,9 +85,6 @@
             static void  resetLanguage();
 
-            static void tsetExternalDataPath(const std::string& path);
             //! Returns the path to the data files as boost::filesystem::path
             static const boost::filesystem::path& getDataPath();
-            //! Returns the path to the external data files as boost::filesystem::path
-            static const boost::filesystem::path& getExternalDataPath();
             //! Returns the path to the config files as boost::filesystem::path
             static const boost::filesystem::path& getConfigPath();
@@ -98,6 +95,4 @@
             //! Returns the path to the data files as std::string
             static std::string getDataPathString();
-            //! Returns the path to the external data files as std::string
-            static std::string getExternalDataPathString();
             //! Returns the path to the config files as std::string
             static std::string getConfigPathString();
@@ -115,7 +110,4 @@
             void postUpdate(const Clock& time);
 
-            void loadGraphics();
-            void unloadGraphics();
-
             void setFixedPaths();
             void setConfigurablePaths();
@@ -126,18 +118,9 @@
             scoped_ptr<SignalHandler>     signalHandler_;
             SimpleScopeGuard              identifierDestroyer_;
-            SimpleScopeGuard              consoleCommandDestroyer_;
             scoped_ptr<ConfigFileManager> configFileManager_;
             scoped_ptr<Language>          languageInstance_;
             scoped_ptr<CoreConfiguration> configuration_;
-            scoped_ptr<TclBind>           tclBind_;
-            scoped_ptr<TclThreadManager>  tclThreadManager_;
-            scoped_ptr<Shell>             shell_;
-            // graphical
-            scoped_ptr<GraphicsManager>   graphicsManager_;     //!< Interface to OGRE
-            scoped_ptr<InputManager>      inputManager_;        //!< Interface to OIS
-            scoped_ptr<GUIManager>        guiManager_;          //!< Interface to GUI
 
             bool                          bDevRun_;             //!< True for runs in the build directory (not installed)
-            bool                          bGraphicsLoaded_;
 
             static Core* singletonPtr_s;
Index: code/trunk/src/libraries/core/CoreIncludes.h
===================================================================
--- code/trunk/src/libraries/core/CoreIncludes.h	(revision 5772)
+++ code/trunk/src/libraries/core/CoreIncludes.h	(revision 5774)
@@ -80,12 +80,5 @@
 */
 #define CreateFactory(ClassName) \
-    bool bCreated##ClassName##Factory = orxonox::ClassFactory<ClassName>::create(#ClassName, true)
-
-/**
-    @brief Creates the entry in the Factory for classes which should not be loaded through XML.
-    @param ClassName The name of the class
-*/
-#define CreateUnloadableFactory(ClassName) \
-    bool bCreated##ClassName##Factory = orxonox::ClassFactory<ClassName>::create(#ClassName, false)
+    bool bCreated##ClassName##Factory = orxonox::ClassFactory<ClassName>::create(#ClassName)
 
 /**
Index: code/trunk/src/libraries/core/CorePrecompiledHeaders.h
===================================================================
--- code/trunk/src/libraries/core/CorePrecompiledHeaders.h	(revision 5772)
+++ code/trunk/src/libraries/core/CorePrecompiledHeaders.h	(revision 5774)
@@ -70,8 +70,4 @@
 #ifdef ORXONOX_COMPILER_MSVC
 
-#include <ois/OISKeyboard.h> // 15
-#include <ois/OISMouse.h>    // 15
-#include <ois/OISJoyStick.h> // 15
-
 #include "util/SubString.h"  // 14
 
Index: code/trunk/src/libraries/core/Factory.cc
===================================================================
--- code/trunk/src/libraries/core/Factory.cc	(revision 5772)
+++ code/trunk/src/libraries/core/Factory.cc	(revision 5774)
@@ -55,18 +55,4 @@
 
     /**
-        @brief Returns the Identifier with a given network ID.
-        @param id The network ID of the wanted Identifier
-        @return The Identifier
-    */
-    Identifier* Factory::getIdentifier(const uint32_t id)
-    {
-        std::map<uint32_t, Identifier*>::const_iterator it = getFactoryPointer()->identifierNetworkIDMap_.find(id);
-        if (it != getFactoryPointer()->identifierNetworkIDMap_.end())
-            return it->second;
-        else
-            return 0;
-    }
-
-    /**
         @brief Adds a new Identifier to both maps.
         @param name The name of the identifier
@@ -76,25 +62,4 @@
     {
         getFactoryPointer()->identifierStringMap_[name] = identifier;
-        getFactoryPointer()->identifierNetworkIDMap_[identifier->getNetworkID()] = identifier;
-    }
-
-    /**
-        @brief Removes the entry with the old network ID and adds a new one.
-        @param identifier The identifier to change
-        @param oldID The old networkID
-        @param newID The new networkID
-    */
-    void Factory::changeNetworkID(Identifier* identifier, const uint32_t oldID, const uint32_t newID)
-    {
-//        getFactoryPointer()->identifierNetworkIDMap_.erase(oldID);
-        getFactoryPointer()->identifierNetworkIDMap_[newID] = identifier;
-    }
-
-    /**
-        @brief Cleans the NetworkID map (needed on clients for correct initialization)
-    */
-    void Factory::cleanNetworkIDs()
-    {
-        getFactoryPointer()->identifierNetworkIDMap_.clear();
     }
 
Index: code/trunk/src/libraries/core/Factory.h
===================================================================
--- code/trunk/src/libraries/core/Factory.h	(revision 5772)
+++ code/trunk/src/libraries/core/Factory.h	(revision 5774)
@@ -62,6 +62,4 @@
             static Identifier* getIdentifier(const uint32_t id);
             static void add(const std::string& name, Identifier* identifier);
-            static void changeNetworkID(Identifier* identifier, const uint32_t oldID, const uint32_t newID);
-            static void cleanNetworkIDs();
             static void createClassHierarchy();
 
@@ -84,5 +82,4 @@
 
             std::map<std::string, Identifier*> identifierStringMap_;            //!< The map, mapping the name with the Identifier
-            std::map<uint32_t, Identifier*> identifierNetworkIDMap_;        //!< The map, mapping the network ID with the Identifier
     };
 
Index: code/trunk/src/libraries/core/Game.cc
===================================================================
--- code/trunk/src/libraries/core/Game.cc	(revision 5772)
+++ code/trunk/src/libraries/core/Game.cc	(revision 5774)
@@ -45,17 +45,11 @@
 #include "Clock.h"
 #include "CommandLine.h"
-#include "ConsoleCommand.h"
 #include "Core.h"
 #include "CoreIncludes.h"
 #include "ConfigValueIncludes.h"
-#include "GameMode.h"
 #include "GameState.h"
 
 namespace orxonox
 {
-    static void stop_game()
-        { Game::getInstance().stop(); }
-    SetConsoleCommandShortcutExternAlias(stop_game, "exit");
-
     std::map<std::string, GameStateInfo> Game::gameStateDeclarations_s;
     Game* Game::singletonPtr_s = 0;
@@ -506,43 +500,8 @@
     void Game::loadGraphics()
     {
-        if (!GameMode::bShowsGraphics_s)
-        {
-            core_->loadGraphics();
-            Loki::ScopeGuard graphicsUnloader = Loki::MakeObjGuard(*this, &Game::unloadGraphics);
-            GameMode::bShowsGraphics_s = true;
-
-            // Construct all the GameStates that require graphics
-            for (std::map<std::string, GameStateInfo>::const_iterator it = gameStateDeclarations_s.begin();
-                it != gameStateDeclarations_s.end(); ++it)
-            {
-                if (it->second.bGraphicsMode)
-                {
-                    // Game state loading failure is serious --> don't catch
-                    shared_ptr<GameState> gameState = GameStateFactory::fabricate(it->second);
-                    if (!constructedStates_.insert(std::make_pair(
-                        it->second.stateName, gameState)).second)
-                        assert(false); // GameState was already created!
-                }
-            }
-            graphicsUnloader.Dismiss();
-        }
     }
 
     void Game::unloadGraphics()
     {
-        if (GameMode::bShowsGraphics_s)
-        {
-            // Destroy all the GameStates that require graphics
-            for (GameStateMap::iterator it = constructedStates_.begin(); it != constructedStates_.end();)
-            {
-                if (it->second->getInfo().bGraphicsMode)
-                    constructedStates_.erase(it++);
-                else
-                    ++it;
-            }
-
-            core_->unloadGraphics();
-            GameMode::bShowsGraphics_s = false;
-        }
     }
 
@@ -563,5 +522,5 @@
         // If state requires graphics, load it
         Loki::ScopeGuard graphicsUnloader = Loki::MakeObjGuard(*this, &Game::unloadGraphics);
-        if (gameStateDeclarations_s[name].bGraphicsMode && !GameMode::showsGraphics())
+        if (gameStateDeclarations_s[name].bGraphicsMode)
             this->loadGraphics();
         else
